#ifndef TESTS_H
#define TESTS_H	1

void test_startup(void);
void test_default(void);

void test_alpha(void);
void test_blend(void);
void test_clear(void);
void test_clip_plane(void);
void test_color_mask(void);
void test_color_material(void);
void test_cull_face(void);
void test_cull_mode2(void);
void test_depth(void);
void test_display_list(void);
void test_draw_buffer(void);
void test_draw_pixels(void);
void test_enables(void);
void test_evaluators(void);
void test_fog(void);
void test_fog_hint(void);
void test_front_face(void);
void test_lights(void);
void test_light_single(void);
void test_light_two_sides(void);
void test_line_stipple(void);
void test_line_width(void);
void test_line_hint(void);
void test_logic_op(void);
void test_matrix(void);
void test_point_size(void);
void test_polygon_mode(void);
void test_polygon_offset(void);
void test_polygon_stipple(void);
void test_primitives(void);
void test_render_mode(void);
void test_scissor(void);
void test_shade_model(void);
void test_single_vertex(void);
void test_stencil(void);
void test_tex(void);
void test_texture_3d(void);
void test_texture_blend_color(void);
void test_texture_border(void);
void test_texture_env(void);
void test_texture_filter(void);
void test_texture_format(void);
void test_texture_mipmap_levels(void);
void test_texture_size(void);
void test_texture_spherical_map(void);
void test_texture_wrap(void);
void test_viewport(void);

void test_arb_imaging(void);
void test_arb_fragment_program(void);
void test_arb_multisample(void);
void test_arb_multitexture(void);
void test_arb_occlusion_query(void) ;
void test_arb_point_parameters(void);
void test_arb_point_sprite(void);
void test_arb_shadow(void);
void test_arb_texture_cube_map(void);
void test_arb_vertex_buffer_object(void);
void test_arb_vertex_buffer_object_indexed(void);
void test_arb_vertex_program(void);
void test_ext_abgr(void);
void test_ext_bgra(void);
void test_ext_blend_func_separate(void);
void test_ext_blend_equation_separate(void);
void test_ext_fog_coord(void);
void test_ext_framebuffer_blit(void);
void test_ext_framebuffer_object(void);
void test_ext_shadow_funcs(void);
void test_ext_stencil_two_side(void);
void test_ext_texture_filter_anisotropic(void);
void test_ext_texture_lod_bias(void);
void test_ext_vertex_weighting(void);
void test_glsl_vp(void);
void test_nv_depth_clamp(void);
void test_nv_fence(void);
void test_nv_fog_distance(void);
void test_nv_fragment_program_half(void);
void test_nv_fragment_program(void);
void test_nv_fragment_program2(void);
void test_nv_half_float(void);
void test_nv_point_sprite(void);
void test_nv_register_combiners(void);
void test_nv_register_combiners2(void);
void test_nv_texture_env_combine4(void);
void test_nv_texture_expand_normal(void);
void test_nv_texture_rectangle(void);
void test_nv_vertex_program1_1(void);
void test_nv_vertex_program2(void);
void test_nv_vertex_program3(void);
void test_nv_texgen_emboss(void);
void test_nv_texture_shader(void);
void test_sgis_generate_mipmap(void);
void test_clip_plane_after_vertex(void);

void test_nehe02(void);
void test_exa(void);

void test_interesting_regs(void);

void test_overlay(SDL_Surface *screen);
void test_swap_buffers(void);

#endif /* TESTS_H */
